package org.gcube.application.cms.plugins.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;
import org.gcube.application.geoportal.common.model.document.ComparableVersion;

@Data
@RequiredArgsConstructor
@AllArgsConstructor
public class PluginDescriptor {

    public static class BaseTypes{
        public static final String LIFECYCLE_MANAGER="LifecycleManagement";
        public static final String MATERIALIZER="Materializer";
    }

    @NonNull
    private String id;
    @NonNull
    private String type;
    private String label;
    private String description;
    private ComparableVersion version;

}
